VST 3 SDK VST 3.7 SDK for developing VST plug-in

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Member Functions | List of all members
StringResult Exception Referencefinal

`#include <testbase.h>`

Inheritance diagram for StringResult:

## Public Member Functions
const std::string & | get () const
void | setText (const char8 *text) override
tresult | queryInterface (const TUID _iid, void **obj) override
uint32 | addRef () override
uint32 | release () override

## Additional Inherited Members
Static Public Attributes inherited from IStringResult
static const FUID | iid

## Member Function Documentation

const std::string& get | ( |  | ) | const
| inline

void setText | ( | const char8 * | text | ) |
| inline override virtual

Implements IStringResult.

tresult queryInterface | ( | const TUID | _iid,
|  | void ** | obj
| ) |  |
| inline override virtual

Implements FUnknown.

uint32 addRef | ( |  | ) |
| inline override virtual

Implements FUnknown.

uint32 release | ( |  | ) |
| inline override virtual

Implements FUnknown.

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.